Package org.apache.struts2.views.freemarker.tags

# Class StrutsModels

java.lang.Object
org.apache.struts2.views.freemarker.tags.StrutsModels

public class StrutsModels extends Object
Provides @s.tag access for various tags.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected AnchorModel`
  `a`
  `protected ActionModel`
  `action`
  `protected ActionErrorModel`
  `actionerror`
  `protected ActionMessageModel`
  `actionmessage`
  `protected BeanModel`
  `bean`
  `protected CheckboxModel`
  `checkbox`
  `protected CheckboxListModel`
  `checkboxlist`
  `protected ComboBoxModel`
  `comboBox`
  `protected ComponentModel`
  `component`
  `protected DateModel`
  `date`
  `protected DoubleSelectModel`
  `doubleselect`
  `protected ElseIfModel`
  `elseIfModel`
  `protected ElseModel`
  `elseModel`
  `protected FieldErrorModel`
  `fielderror`
  `protected FileModel`
  `file`
  `protected FormModel`
  `form`
  `protected HeadModel`
  `head`
  `protected HiddenModel`
  `hidden`
  `protected I18nModel`
  `i18n`
  `protected IfModel`
  `ifModel`
  `protected IncludeModel`
  `include`
  `protected InputTransferSelectModel`
  `inputtransferselect`
  `protected IteratorModel`
  `iterator`
  `protected LabelModel`
  `label`
  `protected LinkModel`
  `link`
  `protected OptGroupModel`
  `optGroupModel`
  `protected OptionTransferSelectModel`
  `optiontransferselect`
  `protected ParamModel`
  `param`
  `protected PasswordModel`
  `password`
  `protected PropertyModel`
  `property`
  `protected PushModel`
  `push`
  `protected RadioModel`
  `radio`
  `protected jakarta.servlet.http.HttpServletRequest`
  `req`
  `protected jakarta.servlet.http.HttpServletResponse`
  `res`
  `protected ResetModel`
  `reset`
  `protected ScriptModel`
  `script`
  `protected SelectModel`
  `select`
  `protected SetModel`
  `set`
  `protected ValueStack`
  `stack`
  `protected SubmitModel`
  `submit`
  `protected TextModel`
  `text`
  `protected TextAreaModel`
  `textarea`
  `protected TextFieldModel`
  `textfield`
  `protected TokenModel`
  `token`
  `protected UpDownSelectModel`
  `updownselect`
  `protected URLModel`
  `url`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StrutsModels(ValueStack stack, jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse res)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AnchorModel`
  `getA()`
  `ActionModel`
  `getAction()`
  `ActionErrorModel`
  `getActionerror()`
  `ActionMessageModel`
  `getActionmessage()`
  `BeanModel`
  `getBean()`
  `CheckboxModel`
  `getCheckbox()`
  `CheckboxListModel`
  `getCheckboxlist()`
  `ComboBoxModel`
  `getCombobox()`
  `ComponentModel`
  `getComponent()`
  `DateModel`
  `getDate()`
  `DoubleSelectModel`
  `getDoubleselect()`
  `ElseModel`
  `getElse()`
  `ElseIfModel`
  `getElseif()`
  `FieldErrorModel`
  `getFielderror()`
  `FileModel`
  `getFile()`
  `FormModel`
  `getForm()`
  `HeadModel`
  `getHead()`
  `HiddenModel`
  `getHidden()`
  `AnchorModel`
  `getHref()`
  `I18nModel`
  `getI18n()`
  `IfModel`
  `getIf()`
  `IncludeModel`
  `getInclude()`
  `InputTransferSelectModel`
  `getInputtransferselect()`
  `IteratorModel`
  `getIterator()`
  `LabelModel`
  `getLabel()`
  `LinkModel`
  `getLink()`
  `OptGroupModel`
  `getOptgroup()`
  `OptionTransferSelectModel`
  `getOptiontransferselect()`
  `ParamModel`
  `getParam()`
  `PasswordModel`
  `getPassword()`
  `PropertyModel`
  `getProperty()`
  `PushModel`
  `getPush()`
  `RadioModel`
  `getRadio()`
  `ResetModel`
  `getReset()`
  `ScriptModel`
  `getScript()`
  `SelectModel`
  `getSelect()`
  `SetModel`
  `getSet()`
  `SubmitModel`
  `getSubmit()`
  `TextModel`
  `getText()`
  `TextAreaModel`
  `getTextarea()`
  `TextFieldModel`
  `getTextfield()`
  `TokenModel`
  `getToken()`
  `UpDownSelectModel`
  `getUpdownselect()`
  `URLModel`
  `getUrl()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### stack

    protected ValueStack stack

  - ### req

    protected jakarta.servlet.http.HttpServletRequest req

  - ### res

    protected jakarta.servlet.http.HttpServletResponse res

  - ### action

    protected ActionModel action

  - ### bean

    protected BeanModel bean

  - ### checkbox

    protected CheckboxModel checkbox

  - ### checkboxlist

    protected CheckboxListModel checkboxlist

  - ### comboBox

    protected ComboBoxModel comboBox

  - ### component

    protected ComponentModel component

  - ### date

    protected DateModel date

  - ### doubleselect

    protected DoubleSelectModel doubleselect

  - ### file

    protected FileModel file

  - ### form

    protected FormModel form

  - ### head

    protected HeadModel head

  - ### hidden

    protected HiddenModel hidden

  - ### a

    protected AnchorModel a

  - ### i18n

    protected I18nModel i18n

  - ### include

    protected IncludeModel include

  - ### label

    protected LabelModel label

  - ### password

    protected PasswordModel password

  - ### push

    protected PushModel push

  - ### param

    protected ParamModel param

  - ### radio

    protected RadioModel radio

  - ### select

    protected SelectModel select

  - ### set

    protected SetModel set

  - ### submit

    protected SubmitModel submit

  - ### reset

    protected ResetModel reset

  - ### textarea

    protected TextAreaModel textarea

  - ### text

    protected TextModel text

  - ### textfield

    protected TextFieldModel textfield

  - ### token

    protected TokenModel token

  - ### url

    protected URLModel url

  - ### property

    protected PropertyModel property

  - ### iterator

    protected IteratorModel iterator

  - ### actionerror

    protected ActionErrorModel actionerror

  - ### actionmessage

    protected ActionMessageModel actionmessage

  - ### fielderror

    protected FieldErrorModel fielderror

  - ### optiontransferselect

    protected OptionTransferSelectModel optiontransferselect

  - ### updownselect

    protected UpDownSelectModel updownselect

  - ### optGroupModel

    protected OptGroupModel optGroupModel

  - ### ifModel

    protected IfModel ifModel

  - ### elseModel

    protected ElseModel elseModel

  - ### elseIfModel

    protected ElseIfModel elseIfModel

  - ### inputtransferselect

    protected InputTransferSelectModel inputtransferselect

  - ### script

    protected ScriptModel script

  - ### link

    protected LinkModel link

- ## Constructor Details

  - ### StrutsModels

    public StrutsModels(ValueStack stack, jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse res)

- ## Method Details

  - ### getCheckboxlist

    public CheckboxListModel getCheckboxlist()

  - ### getCheckbox

    public CheckboxModel getCheckbox()

  - ### getCombobox

    public ComboBoxModel getCombobox()

  - ### getComponent

    public ComponentModel getComponent()

  - ### getDoubleselect

    public DoubleSelectModel getDoubleselect()

  - ### getFile

    public FileModel getFile()

  - ### getForm

    public FormModel getForm()

  - ### getHead

    public HeadModel getHead()

  - ### getHidden

    public HiddenModel getHidden()

  - ### getLabel

    public LabelModel getLabel()

  - ### getLink

    public LinkModel getLink()

  - ### getPassword

    public PasswordModel getPassword()

  - ### getRadio

    public RadioModel getRadio()

  - ### getScript

    public ScriptModel getScript()

  - ### getSelect

    public SelectModel getSelect()

  - ### getSubmit

    public SubmitModel getSubmit()

  - ### getReset

    public ResetModel getReset()

  - ### getTextarea

    public TextAreaModel getTextarea()

  - ### getTextfield

    public TextFieldModel getTextfield()

  - ### getDate

    public DateModel getDate()

  - ### getToken

    public TokenModel getToken()

  - ### getUrl

    public URLModel getUrl()

  - ### getInclude

    public IncludeModel getInclude()

  - ### getParam

    public ParamModel getParam()

  - ### getAction

    public ActionModel getAction()

  - ### getA

    public AnchorModel getA()

  - ### getHref

    public AnchorModel getHref()

  - ### getText

    public TextModel getText()

  - ### getBean

    public BeanModel getBean()

  - ### getI18n

    public I18nModel getI18n()

  - ### getPush

    public PushModel getPush()

  - ### getSet

    public SetModel getSet()

  - ### getProperty

    public PropertyModel getProperty()

  - ### getIterator

    public IteratorModel getIterator()

  - ### getActionerror

    public ActionErrorModel getActionerror()

  - ### getActionmessage

    public ActionMessageModel getActionmessage()

  - ### getFielderror

    public FieldErrorModel getFielderror()

  - ### getOptiontransferselect

    public OptionTransferSelectModel getOptiontransferselect()

  - ### getUpdownselect

    public UpDownSelectModel getUpdownselect()

  - ### getOptgroup

    public OptGroupModel getOptgroup()

  - ### getIf

    public IfModel getIf()

  - ### getElse

    public ElseModel getElse()

  - ### getElseif

    public ElseIfModel getElseif()

  - ### getInputtransferselect

    public InputTransferSelectModel getInputtransferselect()